<?php

use Win7\App;
use Win7\Phone\Service\DatabaseUpdater;

error_reporting(-1);
require_once(__DIR__ . '/../../../sistemawin7lib/vendor/autoload.php');

ignore_user_abort(true);
set_time_limit(0);
error_reporting(-1);
date_default_timezone_set('America/Sao_Paulo');

try {
    // atualiza as ligações pendentes desde 1 hora antes da última atualização
    App::initialize();
    App::getContainer()->get(DatabaseUpdater::class)->updateAllCalls();
} catch (Throwable $e) {
    echo $e;
}
